Package commoble.morered.client

# Class WirePartModelLoader

java.lang.Object
commoble.morered.client.WirePartModelLoader

All Implemented Interfaces:
  `net.minecraftforge.client.model.geometry.IGeometryLoader<WirePartModelLoader.WirePartGeometry>`

public class WirePartModelLoader extends Object implements net.minecraftforge.client.model.geometry.IGeometryLoader<WirePartModelLoader.WirePartGeometry>

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`WirePartModelLoader.MultipartWireModel`
Deprecated.
`static final class`
`WirePartModelLoader.WireModelData`
`static class`
`WirePartModelLoader.WirePartGeometry`
`static class`
`WirePartModelLoader.WirePartModel`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final WirePartModelLoader`
`INSTANCE`

## Constructor Summary

Constructors
Constructor
Description
`WirePartModelLoader()`

## Method Summary

Modifier and Type
Method
Description
`WirePartModelLoader.WirePartGeometry`
`read(com.google.gson.JsonObject modelJson, com.google.gson.JsonDeserializationContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INSTANCE

public static final WirePartModelLoader INSTANCE

## Constructor Details

### WirePartModelLoader

public WirePartModelLoader()

## Method Details

### read

public WirePartModelLoader.WirePartGeometry read(com.google.gson.JsonObject modelJson, com.google.gson.JsonDeserializationContext context)

Specified by:
  `read` in interface `net.minecraftforge.client.model.geometry.IGeometryLoader<WirePartModelLoader.WirePartGeometry>`